Name:		connman
Summary:	Connection Manager
Group:		Networking/Other
Version:	0.50
License:	GPLv2
URL:		http://www.moblin.org
Release:	%mkrel 1
Source0:	http://www.kernel.org/pub/linux/network/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	glib2-devel
BuildRequires:	dbus-devel
BuildRequires:	udev-devel
BuildRequires:	dhcp-client
BuildRequires:	ppp-devel
BuildRequires:	gtk-doc
Requires:	dbus
Requires:	dhcp-client >= 3.0.2
Requires:	wpa_supplicant >= 0.5.7
Requires:	bluez
Requires(pre):	rpm-helper

%description
Connection Manager provides a daemon for managing Internet connections
within embedded devices running the Linux operating system.

%package devel

Summary: Development files for Connection Manager
Group: Development/C

Requires: %{name} >= %{version}

%description devel
connman-devel contains development files for use with connman.

%prep
%setup -q -n connman-%{version}

%build
autoreconf -fi
%configure	--disable-static \
		--enable-ethernet \
		--enable-wifi \
		--enable-dhclient \
		--enable-bluetooth \
		--enable-loopback \
		--enable-dnsproxy \
		--enable-resolvconf \
		--enable-ppp \
		--enable-udev \
		--enable-modemmgr \
		--enable-client \
		--enable-threads \
		--enable-gtk-doc

%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -d %{buildroot}%{_datadir}/dbus-1/system-services/
install -m644 src/connman.service %{buildroot}%{_datadir}/dbus-1/system-services/org.moblin.connman.service

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%{_sbindir}/*
%{_libdir}/%{name}/scripts/*
%{_libdir}/%{name}/plugins/*.so
%config %{_sysconfdir}/dbus-1/system.d/*.conf
%{_datadir}/dbus-1/system-services/org.moblin.connman.service

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}/plugins/*.la


%changelog
* Fri Mar 05 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.50-1mdv2010.1
+ Revision: 514796
- update to 0.50

* Fri Nov 06 2009 Caio Begotti <caio1982@mandriva.org> 0.46-1mdv2010.1
+ Revision: 461775
- new upstream version

* Wed Oct 28 2009 Olivier Blin <oblin@mandriva.com> 0.45-1mdv2010.0
+ Revision: 459757
- 0.45 (from Caio Begotti)

* Mon Oct 26 2009 Olivier Blin <oblin@mandriva.com> 0.44-1mdv2010.0
+ Revision: 459428
- use upstream dbus service file to start connman, instead of initscript (not to conflict with Mandriva network tools when not using Moblin)
- enable resolvconf support
- 0.44

* Tue Oct 20 2009 Olivier Blin <oblin@mandriva.com> 0.42-2mdv2010.0
+ Revision: 458446
- require messagebus for connman service

* Sat Oct 03 2009 Olivier Blin <oblin@mandriva.com> 0.42-1mdv2010.0
+ Revision: 452827
- fix devel group
- fix group
- initial import (from Caio Begotti, based on Fedora package)
- Created package structure for connman.

